# boost::numeric::ublas::mutable_vector_traits< VECTOR > Struct Template Reference

Traits class to extract type information from a VECTOR. More...

Inherits mutable_container_traits< VECTOR >.

Inherited by boost::numeric::ublas::vector_traits< VECTOR > `[private]`.

List of all members.

## Public Types

typedef VECTOR::iterator | iterator
| iterator for the VECTOR

## Static Public Member Functions

static iterator | begin (VECTOR &v)
| iterator pointing to the first element
static iterator | end (VECTOR &v)
| iterator pointing behind the last element

## Detailed Description

### template<class VECTOR>
struct boost::numeric::ublas::mutable_vector_traits< VECTOR >